| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Private Attributes

# IG::Script::TestIglibExt_ToDelete Class Reference

Base class for script classes with graphics examples. More...

Inheritance diagram for IG::Script::TestIglibExt_ToDelete:
[legend]
Collaboration diagram for IG::Script::TestIglibExt_ToDelete:
[legend]

List of all members.

## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Performs all the necessary initializations of the object. Override this method in derived classes (if extra initialization is needed) and call the base class' method in it.
override string | RunThis (string[] arguments)
| Performs the action of this object. Override this in derived classes!
## Private Attributes
ScriptGraphics3DBase | a1

## Detailed Description

Base class for script classes with graphics examples.

$A Igor xx Jul12;

## Member Function Documentation

override void IG::Script::TestIglibExt_ToDelete::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Performs all the necessary initializations of the object. Override this method in derived classes (if extra initialization is needed) and call the base class' method in it.

Implements IG::Lib::LoadableScriptBase.

override string IG::Script::TestIglibExt_ToDelete::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Performs the action of this object. Override this in derived classes!

Parameters:

  arguments | Arguments through which different information can be passed.

Returns:
  String that represents result of the action.

Implements IG::Lib::LoadableScriptBase.

## Member Data Documentation

ScriptGraphics3DBase IG::Script::TestIglibExt_ToDelete::a1`[private]`

The documentation for this class was generated from the following file:

- extensions/iglibext/00testscriptsext/examples/test_to_delete.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events